Package org.eclipse.ease.modules.charting.views

# Class ChartView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.ease.modules.charting.views.ChartView

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.core.runtime.IExecutableExtension`, `org.eclipse.ui.IPersistable`, `org.eclipse.ui.IViewPart`, `org.eclipse.ui.IWorkbenchPart`, `org.eclipse.ui.IWorkbenchPart2`, `org.eclipse.ui.IWorkbenchPart3`, `org.eclipse.ui.part.IWorkbenchPartOrientation`

    public class ChartView
    extends org.eclipse.ui.part.ViewPart

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static String` | `VIEW_ID` |

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChartView()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `createPartControl​(org.eclipse.swt.widgets.Composite parent)` |
`Chart` | `getChart()` |
`void` | `setFocus()` |
`void` | `setViewName​(String partName)` |

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, dispose, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Field Details

### VIEW_ID

public static final String VIEW_ID

See Also:
  Constant Field Values

## Constructor Details

### ChartView

public ChartView()

## Method Details

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### createPartControl

public void createPartControl​(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

### getChart

public Chart getChart()

### setViewName

public void setViewName​(String partName)